headless lms

Get a connection (staff)

GET /api/integrations/{id}. Get a connection (staff). Headless LMS Integrations API reference.

GET
/api/integrations/{id}

Staff only (owner, admin, instructor). Secrets are never returned.

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/integrations/string"
{  "orgId": "string",  "id": "string",  "integrationId": "string",  "config": {    "property1": null,    "property2": null  },  "active": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}